> ## Documentation Index
> Fetch the complete documentation index at: https://docs.whatabot.app/llms.txt
> Use this file to discover all available pages before exploring further.

# API Overview

> Introduction to the whatabot REST API.

## Introduction

The whatabot REST API lets you programmatically manage conversation sessions, flows, workspaces, sectors, and OAuth clients. All v1 endpoints are accessible through standard HTTP requests that return JSON responses.

## Base URL

All v1 API requests are made to:

```
https://api.whatabot.app/api/v1
```

## Response Format

All responses are returned as JSON. Successful responses use standard HTTP status codes (`200`, `201`, `202`, `204`). Error responses follow this format:

```json theme={null}
{
  "statusCode": 400,
  "message": "Validation failed",
  "error": "Bad Request"
}
```

## Pagination

List endpoints support pagination via query parameters:

| Parameter | Type    | Default | Description           |
| --------- | ------- | ------- | --------------------- |
| `page`    | integer | `0`     | Page number (0-based) |
| `size`    | integer | `10`    | Items per page        |

Paginated responses include:

```json theme={null}
{
  "content": [...],
  "totalElements": 42,
  "totalPages": 5,
  "number": 0,
  "size": 10,
  "first": true,
  "last": false
}
```

## Authentication

All v1 endpoints use **API Key** authentication via the `X-Api-Key` header:

```bash theme={null}
curl -X GET "https://api.whatabot.app/api/v1/flows" \
  -H "X-Api-Key: wh_your_api_key_here"
```

<Note>
  See the [Authentication](/en/api-reference/authentication) page for
  instructions on how to create your API key.
</Note>

## Quick Reference

<CardGroup cols={2}>
  <Card title="Authentication" icon="lock" href="/en/api-reference/authentication">
    API keys and iframe authentication.
  </Card>

  <Card title="Webhooks" icon="webhook" href="/en/api-reference/webhooks">
    Receive session notifications via callback.
  </Card>

  <Card title="Sessions" icon="comments" href="/en/api-reference/sessions/create-session">
    Create and manage conversation sessions.
  </Card>

  <Card title="Flows" icon="diagram-project" href="/en/api-reference/flows/create-flow">
    Create and list conversation flows.
  </Card>

  <Card title="Workspaces" icon="building" href="/en/api-reference/workspaces/create-workspace">
    Manage workspaces.
  </Card>

  <Card title="Sectors" icon="building-columns" href="/en/api-reference/sectors/create-sector">
    Manage sectors for transfers.
  </Card>
</CardGroup>
